Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPush

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPush

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIPush

    public abstract class AbstractPush

extends AbstractActionComponent

Component for periodically call AJAX events on server ( poll actions )

Author:
  shura

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `DATA_AVAILABLE`
`static String` | `ON_DATA_AVAILABLE`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractPush()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`abstract javax.el.MethodExpression` | `getEventProducer()`
`abstract int` | `getInterval()`
`String` | `getListenerId(javax.faces.context.FacesContext context)`
`abstract String` | `getOnbeforedomupdate()`
`abstract String` | `getOnbegin()`
`abstract String` | `getOncomplete()`
`abstract String` | `getOndataavailable()`
`abstract boolean` | `isEnabled()`
`abstract void` | `setEventProducer(javax.el.MethodExpression producer)`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### DATA_AVAILABLE

    public static final String DATA_AVAILABLE

See Also:
  Constant Field Values

### ON_DATA_AVAILABLE

    public static final String ON_DATA_AVAILABLE

See Also:
  Constant Field Values

Constructor Detail

### AbstractPush

    public AbstractPush()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `IOException`

### getListenerId

    public String getListenerId(javax.faces.context.FacesContext context)

### getEventProducer

    public abstract javax.el.MethodExpression getEventProducer()

### setEventProducer

    public abstract void setEventProducer(javax.el.MethodExpression producer)

### getInterval

    public abstract int getInterval()

  Returns:
    time in mc for polling interval.

### isEnabled

    public abstract boolean isEnabled()

### getOndataavailable

    public abstract String getOndataavailable()

### getOnbegin

    public abstract String getOnbegin()

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

### getOncomplete

    public abstract String getOncomplete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.